package MT::Plugin::BlogRebuilder;

use strict;

# customise BEGIN
use MT;
use MT::Plugin;
@MT::Plugin::BlogRebuilder::ISA = qw(MT::Plugin);

my $PLUGIN_NAME = 'BlogRebuilder';
my $VERSION = '1.00';

my $plugin = MT::Plugin->new({
	name => $PLUGIN_NAME,
	version => $VERSION,
	description => 'rebuilding blog',
	author_name => 'SKYARC SYSTEM',
	author_link => 'http://www.skyarc.co.jp/',
});
MT->add_plugin($plugin);

MT::Template::Context->add_tag(BlogCopy => \&duplicate_blog);
MT::App->add_callback('MT::App::CMS::AppTemplateSource.list_blog',  9, $plugin, \&transform_template);

sub instance { $plugin; }

sub transform_template {
	my ($eh, $app, $tmpl) = @_;

	my $old;
	my $new;

	$old = quotemeta (<<'HTML');
<li id="nav-settings">
HTML

	$new = <<HTML;
<li style="background:url(<TMPL_VAR NAME=STATIC_URI>images/nav_icons/color/rebuild.gif) no-repeat left top;">
<a href="./plugins/BlogRebuilder/blog-rebuilder.cgi">複数ブログの再構\築</a><br />
<MT_TRANS phrase="複数のブログを再構\築します。">
</li>
<li id="nav-settings">
HTML

	$new = MT::I18N::encode_text ($new, 'utf8', $app->{cfg}->PublishCharset);

	$$tmpl =~ s!$old!$new!;

	1;
}
# customise END
